Skip to main content
GET
List all messages

Path Parameters

inbox_identifier
string
required

The identifier obtained from API inbox channel

contact_identifier
string
required

The source id of contact obtained on contact create

conversation_id
integer
required

The numeric ID of the conversation

Response

Success

id
integer

Id of the message

content
string | null

Text content of the message. Can be null for attachment-only messages.

message_type
integer

Denotes the message type. Possible values: 0 (incoming), 1 (outgoing), 2 (activity), 3 (template)

content_type
string

Content type of the message

content_attributes
object

Additional content attributes of the message

created_at
integer

Created at Unix timestamp of the message

conversation_id
integer

Display Id of the conversation the message belongs to

attachments
object[]

Attachments if any

sender
object

Polymorphic sender payload returned by push_event_data. Available fields vary by sender type.